import { request } from '@/service/request';
/**
 * 分页获取
 * @param params
 * @returns
 */
export function fetchList(data: any) {
  return request({
    url: '/smqjh-system/api/v1/pointsReconciliation/getPointsRecordLog',
    method: 'post',
    data
  });
}

/**
 * 获取企业
 * @returns
 */
export function fetchGetChannelList() {
  return request<Api.goods.Channel[]>({
    url: '/smqjh-system/api/v1/pointsReconciliation/getSelectChannel',
    method: 'get'
  });
}

/**
 * 冲正
 * @returns
 */
export function fetchReversal(data: any) {
  return request({
    url: '/smqjh-system/api/v1/pointsReconciliation/savePointsRecord',
    method: 'post',
    data
  });
}

/**
 * 获取详情
 * @returns
 */
export function fetchDetail(id: string) {
  return request({
    url: `/smqjh-system/api/v1/pointsReconciliation/getAdjustPointsRecord/${id}`,
    method: 'get'
  });
}
